diff -ur oo_1.0.1_src.orig/connectivity/source/commontools/dbcharset.cxx oo_1.0.1_src/connectivity/source/commontools/dbcharset.cxx
--- oo_1.0.1_src.orig/connectivity/source/commontools/dbcharset.cxx	Wed Dec 18 20:30:26 2002
+++ oo_1.0.1_src/connectivity/source/commontools/dbcharset.cxx	Wed Dec 18 20:41:13 2002
@@ -94,7 +94,7 @@
 		:m_nLivingIterators(0)
 	#endif
 	{
-		m_aEncodings.resize(11);
+		m_aEncodings.resize(14);
 		m_aEncodings[ 0] = RTL_TEXTENCODING_MS_1252;		// ANSI
 		m_aEncodings[ 1] = RTL_TEXTENCODING_APPLE_ROMAN;	// MAC
 		m_aEncodings[ 2] = RTL_TEXTENCODING_IBM_437;		// IBMPC_437
@@ -105,9 +105,12 @@
 		m_aEncodings[ 7] = RTL_TEXTENCODING_IBM_865;		// IBMPC_865
 		m_aEncodings[ 8] = RTL_TEXTENCODING_IBM_866;		// IBMPC_866 (cyrillic)
 		m_aEncodings[ 9] = RTL_TEXTENCODING_DONTKNOW;		// SYSTEM
-		m_aEncodings[10] = RTL_TEXTENCODING_UTF8;			// UTF-8
+		m_aEncodings[10] = RTL_TEXTENCODING_UTF8;		// UTF-8
+		m_aEncodings[11] = RTL_TEXTENCODING_IBM_852;		// IBMPC_852
+		m_aEncodings[12] = RTL_TEXTENCODING_MS_1250;		// WINDOWS-1250
+		m_aEncodings[13] = RTL_TEXTENCODING_ISO_8859_2;		// ISO-8859-2
 
-		m_aNames.resize(11);
+		m_aNames.resize(14);
 		m_aNames[ 0] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("ANSI"));
 		m_aNames[ 1] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("MAC"));
 		m_aNames[ 2] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("IBMPC_437"));
@@ -119,12 +122,15 @@
 		m_aNames[ 8] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("IBMPC_866"));
 		m_aNames[ 9] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("SYSTEM"));
 		m_aNames[10] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("UTF-8"));
+		m_aNames[11] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("IBMPC_852"));
+		m_aNames[12] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("WINDOWS-1250"));
+		m_aNames[13] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("ISO-8859-2"));
 
 		OSL_ENSURE(m_aEncodings.size() == m_aNames.size(),
 			"OCharsetMap::OCharsetMap: inconsistentce(1)!");
 
 		// the IANA representations of the character sets which we know
-		m_aIanaNames.resize(11);
+		m_aIanaNames.resize(14);
 		m_aIanaNames[ 0] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("windows-1252"));
 		m_aIanaNames[ 1] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("macintosh"));
 		m_aIanaNames[ 2] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("IBM437"));
@@ -136,6 +142,9 @@
 		m_aIanaNames[ 8] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("IBM866"));
 		m_aIanaNames[ 9] = ::rtl::OUString();
 		m_aIanaNames[10] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("UTF-8"));
+		m_aIanaNames[11] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("IBM852"));
+		m_aIanaNames[12] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("windows-1250"));
+		m_aIanaNames[13] = ::rtl::OUString(RTL_CONSTASCII_USTRINGPARAM("ISO-8859-2"));
 
 		OSL_ENSURE(m_aNames.size() == m_aIanaNames.size(),
 			"OCharsetMap::OCharsetMap: inconsistentce(2)!");
diff -ur oo_1.0.1_src.orig/dbaccess/source/ui/misc/dbumiscres.src oo_1.0.1_src/dbaccess/source/ui/misc/dbumiscres.src
--- oo_1.0.1_src.orig/dbaccess/source/ui/misc/dbumiscres.src	Wed Dec 18 20:30:26 2002
+++ oo_1.0.1_src/dbaccess/source/ui/misc/dbumiscres.src	Wed Dec 18 20:49:07 2002
@@ -389,6 +389,81 @@
 		Text[ arabic ] = "UTF-8";
 		Text[ catalan ] = "UTF-8";
 	};
+	String 12
+	{
+		Text = "IBMPC (852)";
+		Text [ english ] = "IBMPC (852)";
+		Text [ english_us ] = "IBMPC (852)";
+		Text[ portuguese ] = "IBMPC (852)";
+		Text[ russian ] = "IBMPC (852)";
+		Text[ greek ] = "IBMPC (852)";
+		Text[ dutch ] = "IBMPC (852)";
+		Text[ french ] = "IBMPC (852)";
+		Text[ spanish ] = "IBMPC (852)";
+		Text[ finnish ] = "IBMPC (852)";
+		Text[ italian ] = "IBMPC (852)";
+		Text[ danish ] = "IBMPC (852)";
+		Text[ swedish ] = "IBMPC (852)";
+		Text[ polish ] = "IBMPC (852)";
+		Text[ portuguese_brazilian ] = "IBMPC (852)";
+		Text[ japanese ] = "IBMPC (852)";
+		Text[ korean ] = "IBMPC (852)";
+		Text[ chinese_simplified ] = "IBMPC (852)";
+		Text[ chinese_traditional ] = "IBMPC (852)";
+		Text[ turkish ] = "IBMPC (852)";
+		Text[ arabic ] = "IBMPC (852)";
+		Text[ catalan ] = "IBMPC (852)";
+	};
+	String 13
+	{
+		Text = "WINDOWS 1250";
+		Text [ english ] = "WINDOWS 1250";
+		Text [ english_us ] = "WINDOWS 1250";
+		Text[ portuguese ] = "WINDOWS 1250";
+		Text[ russian ] = "WINDOWS 1250";
+		Text[ greek ] = "WINDOWS 1250";
+		Text[ dutch ] = "WINDOWS 1250";
+		Text[ french ] = "WINDOWS 1250";
+		Text[ spanish ] = "WINDOWS 1250";
+		Text[ finnish ] = "WINDOWS 1250";
+		Text[ italian ] = "WINDOWS 1250";
+		Text[ danish ] = "WINDOWS 1250";
+		Text[ swedish ] = "WINDOWS 1250";
+		Text[ polish ] = "WINDOWS 1250";
+		Text[ portuguese_brazilian ] = "WINDOWS 1250";
+		Text[ japanese ] = "WINDOWS 1250";
+		Text[ korean ] = "WINDOWS 1250";
+		Text[ chinese_simplified ] = "WINDOWS 1250";
+		Text[ chinese_traditional ] = "WINDOWS 1250";
+		Text[ turkish ] = "WINDOWS 1250";
+		Text[ arabic ] = "WINDOWS 1250";
+		Text[ catalan ] = "WINDOWS 1250";
+	};
+	String 14
+	{
+		Text = "ISO 8859-2";
+		Text [ english ] = "ISO 8859-2";
+		Text [ english_us ] = "ISO 8859-2";
+		Text[ portuguese ] = "ISO 8859-2";
+		Text[ russian ] = "ISO 8859-2";
+		Text[ greek ] = "ISO 8859-2";
+		Text[ dutch ] = "ISO 8859-2";
+		Text[ french ] = "ISO 8859-2";
+		Text[ spanish ] = "ISO 8859-2";
+		Text[ finnish ] = "ISO 8859-2";
+		Text[ italian ] = "ISO 8859-2";
+		Text[ danish ] = "ISO 8859-2";
+		Text[ swedish ] = "ISO 8859-2";
+		Text[ polish ] = "ISO 8859-2";
+		Text[ portuguese_brazilian ] = "ISO 8859-2";
+		Text[ japanese ] = "ISO 8859-2";
+		Text[ korean ] = "ISO 8859-2";
+		Text[ chinese_simplified ] = "ISO 8859-2";
+		Text[ chinese_traditional ] = "ISO 8859-2";
+		Text[ turkish ] = "ISO 8859-2";
+		Text[ arabic ] = "ISO 8859-2";
+		Text[ catalan ] = "ISO 8859-2";
+	};
 };
 
 //-------------------------------------------------------------------------
